osl::rating Namespace Reference

## Classes

class | BradleyTerry
class | Feature
class | TakeBack
class | TakeBack2
class | Check
class | SendOff
class | Block
struct | CountOpen
class | Open
class | Chase
class | ImmediateAddSupport
class | RookDefense
class | BadLance
class | PawnAttack
class | BigramAttack
class | Capture
class | ShadowEffect1
class | ShadowEffect2
class | ContinueCapture
class | DropCaptured
| 取った駒をすぐ使う More...
class | CheckmateIfCapture
class | Threatmate
struct | CountEffect2
class | FromEffect
| 移動元へのきき。attack defense は言葉の意味と逆で自分がattack More...
class | PtypeAttacked
class | ToSupported
class | ImmediateEscape
class | KingEscape
class | Karanari
class | AttackKing8
class | DefenseKing8
class | Pattern
struct | LongTarget
struct | LongTarget2
class | PatternLong
class | PatternLong2
class | PatternBlock
class | PinAttack
class | EscapePin
struct | DropPtype
class | RelativeKingX
class | RelativeKingY
class | SquareX
class | SquareY
class | FeatureSet
class | StandardFeatureSet
class | CaptureSet
| 駒得のみ More...
class | TacticalSet
| 駒得のみ More...
class | Group
| mutually exclusive set of features More...
struct | TakeBackGroup
struct | CheckGroup
class | SendOffGroup
struct | BlockGroup
struct | OpenGroup
struct | ChaseGroup
struct | KaranariGroup
struct | ImmediateAddSupportGroup
struct | BadLanceGroup
struct | PawnAttackGroup
class | BigramAttackGroup
class | CaptureGroup
struct | ShadowEffectGroup
struct | ContinueCaptureGroup
struct | DropCapturedGroup
class | CheckmateIfCaptureGroup
struct | ThreatmateGroup
struct | FromEffectGroup
struct | PtypeAttackedGroup
struct | ToSupportedGroup
struct | ImmediateEscapeGroup
class | KingEscapeGroup
struct | AttackKing8Group
struct | DefenseKing8Group
struct | PatternGroup
class | PatternLongGroup
class | PatternLongGroup2
class | PatternBlockGroup
struct | PinGroup
struct | EscapePinGroup
struct | RelativeKingXGroup
struct | RelativeKingYGroup
struct | SquareXGroup
struct | SquareYGroup
class | RatedMove
class | RatedMoveVector
class | RatingEnv

## Typedefs

typedef std::pair< Piece, Square > | PieceSquare
typedef std::pair< int, int > | range_t
typedef FixedCapacityVector< RatedMove, Move::MaxUniqMoves > | RatedMoveVectorBase

## Functions

std::ostream & | operator<< (std::ostream &os, RatedMove const &moveLogProb)
bool | operator== (RatedMove const &lhs, RatedMove const &rhs)
bool | operator< (RatedMove const &lhs, RatedMove const &rhs)
bool | operator> (RatedMove const &lhs, RatedMove const &rhs)
std::ostream & | operator<< (std::ostream &os, RatedMoveVector const &)
bool | operator== (const RatedMoveVector &l, const RatedMoveVector &r)

## Typedef Documentation

## PieceSquare

typedef std::pair<Piece,Square> osl::rating::PieceSquare

Definition at line 60 of file pattern.h.

## range_t

typedef std::pair<int,int> osl::rating::range_t

Definition at line 10 of file range.h.

## RatedMoveVectorBase

typedef FixedCapacityVector<RatedMove,Move::MaxUniqMoves> osl::rating::RatedMoveVectorBase

Definition at line 14 of file ratedMoveVector.h.

## Function Documentation

## operator<()

bool osl::rating::operator< | ( | RatedMove const & | lhs,
|  | RatedMove const & | rhs )

inline

Definition at line 39 of file ratedMove.h.

References osl::rating::RatedMove::move(), osl::rating::RatedMove::optimisticRating(), and osl::rating::RatedMove::rating().

## operator<<() [1/2]

std::ostream & osl::rating::operator<< | ( | std::ostream & | os,
|  | RatedMove const & | moveLogProb )

Definition at line 6 of file ratedMove.cc.

References osl::rating::RatedMove::move(), osl::rating::RatedMove::optimisticRating(), and osl::rating::RatedMove::rating().

## operator<<() [2/2]

std::ostream & osl::rating::operator<< | ( | std::ostream & | os,
|  | RatedMoveVector const & | mv )

Definition at line 9 of file ratedMoveVector.cc.

## operator==() [1/2]

bool osl::rating::operator== | ( | const RatedMoveVector & | l,
|  | const RatedMoveVector & | r )

Definition at line 19 of file ratedMoveVector.cc.

References osl::FixedCapacityVector< T, Capacity >::begin(), osl::FixedCapacityVector< T, Capacity >::end(), and osl::FixedCapacityVector< T, Capacity >::size().

## operator==() [2/2]

bool osl::rating::operator== | ( | RatedMove const & | lhs,
|  | RatedMove const & | rhs )

inline

Definition at line 35 of file ratedMove.h.

References osl::rating::RatedMove::move(), and osl::rating::RatedMove::rating().

## operator>()

bool osl::rating::operator> | ( | RatedMove const & | lhs,
|  | RatedMove const & | rhs )

inline

Definition at line 47 of file ratedMove.h.

References osl::rating::RatedMove::move(), osl::rating::RatedMove::optimisticRating(), and osl::rating::RatedMove::rating().